> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Base Material Library List

Use this endpoint to browse the base material catalog. Base materials are the raw material building blocks (e.g., cotton, polyester, nylon) that you use when [creating custom materials](/api-reference/pic/material-library/create) in the material library.

### Implementation Details

* **Textile category**: Results are filtered to the textile (`TX`) category by default.
* **Searchable**: Supports text search and standard filtering parameters (skip, take, sort, filter) for advanced queries.
* **Usage**: Use the returned base material IDs in the `baseMaterials` array when creating a custom material.


## OpenAPI

````yaml api-reference/openapi/french-eco.json POST /material-library/base-material-list
openapi: 3.0.0
info:
  title: pic-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/pic-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/pic-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /material-library/base-material-list:
    post:
      summary: Get Base Material Library List
      operationId: GetBaseMaterialLibraryList
      requestBody:
        $ref: '#/components/requestBodies/SearchableKendoParams'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ESBaseMaterialsResponse'
components:
  requestBodies:
    SearchableKendoParams:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SearchableKendoParams'
      required: true
  schemas:
    ESBaseMaterialsResponse:
      properties:
        total:
          type: number
          format: double
        hits:
          items:
            $ref: '#/components/schemas/BaseMaterialEntityES'
          type: array
        aggregations:
          properties: {}
          additionalProperties:
            additionalProperties: false
            type: object
          type: object
          nullable: true
      required:
        - hits
        - total
      type: object
      additionalProperties: false
    SearchableKendoParams:
      properties:
        filter:
          $ref: '#/components/schemas/KendoFilter'
        skip:
          type: number
          format: double
          nullable: true
        take:
          type: number
          format: double
          nullable: true
        sort:
          items:
            $ref: '#/components/schemas/KendoSort'
          type: array
          nullable: true
        searchStr:
          type: string
          nullable: true
      type: object
      additionalProperties: false
    BaseMaterialEntityES:
      description: >-
        This interface was referenced by `Exports`'s JSON-Schema via the
        `definition` "baseMaterialEntityES".
      properties:
        _id:
          type: string
        _rev:
          type: string
          nullable: true
        type:
          type: string
        name:
          type: string
        code:
          type: string
        category:
          type: string
        hidden:
          type: boolean
          nullable: true
        blendPercentage:
          type: number
          format: double
          nullable: true
        cycles:
          properties: {}
          additionalProperties:
            $ref: '#/components/schemas/MaterialCycle'
          type: object
        scores:
          $ref: '#/components/schemas/MsiImpactScores'
        categoryRanking:
          type: number
          format: double
          nullable: true
        totalScoresTier2:
          type: number
          format: double
          nullable: true
        totalScoresTier3:
          type: number
          format: double
          nullable: true
        totalScoresTier4:
          type: number
          format: double
          nullable: true
        finishedMaterialChemCertsAvailable:
          items:
            $ref: '#/components/schemas/FinishedMaterialChemCert'
          type: array
          nullable: true
        finishedMaterialChemCertsSelected:
          items:
            $ref: '#/components/schemas/FinishedMaterialChemCert'
          type: array
          nullable: true
      required:
        - _id
        - category
        - code
        - cycles
        - name
        - scores
        - type
      type: object
      additionalProperties: false
    KendoFilter:
      properties:
        logic:
          type: string
          nullable: true
        filters:
          items:
            $ref: '#/components/schemas/KendoFilterFilter'
          type: array
          nullable: true
      type: object
      additionalProperties: false
    KendoSort:
      properties:
        field:
          type: string
        dir:
          type: string
          description: A sort lacking direction will be ignored
          nullable: true
        isNotNested:
          type: boolean
          nullable: true
      required:
        - field
      type: object
      additionalProperties: false
    MaterialCycle:
      properties:
        processes:
          items:
            type: string
          type: array
        selected:
          items:
            $ref: '#/components/schemas/MaterialSelectedProcess'
          type: array
        allowNone:
          type: boolean
        multi:
          type: boolean
        scores:
          $ref: '#/components/schemas/MsiImpactScores'
      required:
        - allowNone
        - multi
        - processes
        - scores
        - selected
      type: object
      additionalProperties: false
    MsiImpactScores:
      properties:
        globalWarming:
          type: number
          format: double
        eutrophication:
          type: number
          format: double
        waterScarcity:
          type: number
          format: double
        abioticDepletion:
          type: number
          format: double
        chemistry:
          type: number
          format: double
        globalWarmingPts:
          type: number
          format: double
        eutrophicationPts:
          type: number
          format: double
        waterScarcityPts:
          type: number
          format: double
        abioticDepletionPts:
          type: number
          format: double
        impact:
          type: number
          format: double
        chemistryPts:
          type: number
          format: double
        waterConsumption:
          type: number
          format: double
        biogenicCarbon:
          type: number
          format: double
      required:
        - abioticDepletion
        - abioticDepletionPts
        - biogenicCarbon
        - chemistry
        - chemistryPts
        - eutrophication
        - eutrophicationPts
        - globalWarming
        - globalWarmingPts
        - impact
        - waterConsumption
        - waterScarcity
        - waterScarcityPts
      type: object
      additionalProperties: false
    FinishedMaterialChemCert:
      enum:
        - bluesignCertified
        - cradleToCradleGoldCertified
        - gotsCertified
        - grsCertified
        - oekoTextMadeInGreenCertified
        - oekoTextStandard100Certified
      type: string
    KendoFilterFilter:
      properties:
        field:
          type: string
        operator:
          type: string
        value:
          type: object
      required:
        - field
        - operator
        - value
      type: object
      additionalProperties: false
    MaterialSelectedProcess:
      properties:
        id:
          type: string
        applyToWholeMaterial:
          type: boolean
          nullable: true
        lossRate:
          type: number
          format: double
          nullable: true
        defectRate:
          type: number
          format: double
          nullable: true
        transportDistance:
          type: number
          format: double
          nullable: true
        transportDistanceUnit:
          $ref: '#/components/schemas/MsiTransportationUnit'
        transportationMode:
          $ref: '#/components/schemas/MsiTransportationMode'
        rawMaterialChemCerts:
          items:
            $ref: '#/components/schemas/RawMaterialChemCert'
          type: array
          nullable: true
        facilityChemCerts:
          items:
            $ref: '#/components/schemas/FacilityChemCert'
          type: array
          nullable: true
        scores:
          $ref: '#/components/schemas/MsiImpactScores'
      required:
        - id
        - scores
      type: object
      additionalProperties: false
    MsiTransportationUnit:
      enum:
        - km
        - miles
      type: string
    MsiTransportationMode:
      enum:
        - truck
        - ocean
        - rail
        - air
      type: string
    RawMaterialChemCert:
      enum:
        - betterCottonInitiativeMaterial
        - grsMaterial
        - cradleToCradleMaterial
      type: string
    FacilityChemCert:
      enum:
        - oekoTexStepLevel2Facility
        - grsFacility
      type: string
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````